# Interface gmfPermalinkOptions

interface gmfPermalinkOptions {
crosshairEnabledByDefault: boolean;
crosshairStyle: StyleLike;
pointRecenterZoom: number;
projectionCodes: string[];
useLocalStorage: boolean;
}

- Defined in src/options.js:570

#####
Index

### Properties

crosshairEnabledByDefault
crosshairStyle
pointRecenterZoom
projectionCodes
useLocalStorage

## Properties

### crosshairEnabledByDefault

crosshairEnabledByDefault: boolean

Display the crosshair, gets overridden by the `map_crosshair` parameter. Default is `false`.

- Defined in src/options.js:573

### crosshairStyle

crosshairStyle: StyleLike

An alternate style for the crosshair feature added by the permalink service.

- Defined in src/options.js:571

### pointRecenterZoom

pointRecenterZoom: number

Zoom level to use when result is a single point feature. If not set the map is not zoomed to a specific zoom level.

- Defined in src/options.js:579

### projectionCodes

projectionCodes: string[]

EPSG codes (e.g. 'EPSG:3857' or '3857'). The permalink service will accept coordinates in these projections and try to detect which projection the given coordinates are in.

- Defined in src/options.js:575

### useLocalStorage

useLocalStorage: boolean

Store the values in the local storage. Default is `false`.

- Defined in src/options.js:578

Generated using TypeDoc